/* hdrs/config.h */
/* global varable declarations */

// See mare/config.c for special flag explanations.
//
// When adding local configuration definitions, do not exceed reference
// number 255 or the database might become corrupt.


// ref#,type,variable,default setting,variable name,flags

/* Locks out Rank < X from the game. Set to -1 to lockout 'new' */
CONF(0,int,WIZLOCK_LEVEL,0,"WIZLOCK_LEVEL",INT)
CONF(1,int,USER_LIMIT,0,"USER_LIMIT",INT)
CONF(2,int,INACTIVENUKE,0,"INACTIVENUKE",INT)  // #days until players get nuked
                                               // ^1 for variability on combat
CONF(3,int,ERR_SIGNAL,1,"ERR_SIGNAL",INT)      // 1=stay alive after segfault
CONF(4,int,LOG_FAILED_CMDS,1,"LOG_FAILED_CMDS",INT)
CONF(5,int,VISIBLE_ADMIN,1,"VISIBLE_ADMIN",INT)
CONF(6,int,GUEST_LOGIN,0,"GUEST_LOGIN",INT|LBRK)

CONF(8,int,TIMEZONE,-5,"TIMEZONE",INT)		// Hour of BaseSystem from UTC
CONF(9,int,HAVE_DST,1,"HAVE_DST",INT|LBRK)	// 1=daylight savings time

/* database options */
CONF(10,int,DB_FORK,1,"DB_FORK",INT)           // 1=save db in background
CONF(11,int,DB_LIMIT,0,"DB_LIMIT",INT)         // db cannot grow beyond #objs
CONF(12,int,DB_BACKUP,3,"DB_BACKUP",INT)       // number of daily backups kept
CONF(13,int,DB_EPOCH,3,"DB_EPOCH",INT|LBRK)    // #days between each backup

/* environment restrictions */
CONF(15,int,RESTRICT_BUILD,0,"RESTRICT_BUILD",INT)
CONF(16,int,RESTRICT_TELEPORT,0,"RESTRICT_TELEPORT",INT)
CONF(17,int,RESTRICT_HASPOW,0,"RESTRICT_HASPOW",INT)
CONF(18,int,RESTRICT_HIDDEN,0,"RESTRICT_HIDDEN",INT|LBRK)

/* haspow: 1=users can't use powers(), haspow(), or controls() on immortals */
/* hidden: 1=only wizards can set @hlock; hidden users unlisted on 'who' */

/* command costs */
CONF(20,int,ZONE_COST,100,"ZONE_COST",INT)
CONF(21,int,ROOM_COST,10,"ROOM_COST",INT)
CONF(22,int,THING_COST,10,"THING_COST",INT)
CONF(23,int,EXIT_COST,1,"EXIT_COST",INT)
CONF(24,int,LINK_COST,1,"LINK_COST",INT)
CONF(25,int,SEARCH_COST,20,"SEARCH_COST",INT)
CONF(26,int,FIND_COST,20,"FIND_COST",INT)
CONF(27,int,PAGE_COST,0,"PAGE_COST",INT)
CONF(28,int,COM_COST,0,"COM_COST",INT)
CONF(29,int,ANNOUNCE_COST,100,"ANNOUNCE_COST",INT)
CONF(30,int,MAIL_COST,5,"MAIL_COST",INT)
CONF(31,int,NEWS_COST,15,"NEWS_COST",INT)
CONF(32,int,EMAIL_COST,25,"EMAIL_COST",INT)
CONF(33,int,QUEUE_COST,16,"QUEUE_COST",INT|LBRK)   // 1/16th GP per command

/* flag costs */
CONF(40,int,LINK_OK_COST,0,"LINK_OK_COST",INT)
CONF(41,int,JUMP_OK_COST,0,"JUMP_OK_COST",INT)
CONF(42,int,ABODE_COST,0,"ABODE_COST",INT)
CONF(43,int,DARK_COST,10,"DARK_COST",INT)
CONF(44,int,HEALING_COST,10,"HEALING_COST",INT)
CONF(45,int,ILLNESS_COST,10,"ILLNESS_COST",INT)
CONF(46,int,OCEANIC_COST,50,"OCEANIC_COST",INT)
CONF(47,int,SHAFT_COST,100,"SHAFT_COST",INT)
CONF(48,int,WALL_COST,200,"WALL_COST",INT|LBRK)

/* internal limits */
CONF(50,int,MAX_OUTPUT,32768,"MAX_OUTPUT",INT)
CONF(51,int,QUEUE_QUOTA,100,"QUEUE_QUOTA",INT)
CONF(52,int,MAX_WAIT_COMMANDS,10000,"MAX_WAIT_COMMANDS",INT)
CONF(53,int,FUNC_RECURSION,30,"FUNC_RECURSION",INT)
CONF(54,int,MAX_FUNCTIONS,4000,"MAX_FUNCTIONS",INT|LBRK)

/* timer intervals */
CONF(60,int,DUMP_INTERVAL,3793,"DUMP_INTERVAL",INT)
CONF(61,int,WEATHER_INTERVAL,271,"WEATHER_INTERVAL",INT)
CONF(62,int,ATIME_INTERVAL,60,"ATIME_INTERVAL",INT|LBRK)

/* network timers */
CONF(65,int,TIMEOUT_LOGIN,60,"TIMEOUT_LOGIN",INT)
CONF(66,int,TIMEOUT_SESSION,0,"TIMEOUT_SESSION",INT)
CONF(67,int,LIMIT_LOGIN,300,"LIMIT_LOGIN",INT)
CONF(68,int,LIMIT_SESSION,0,"LIMIT_SESSION",INT|LBRK)

/* host & mail configuration */
CONF(80,char *,MUD_NAME,DEFAULT_MUDNAME,"MUD_NAME",CHAR|SAVE)
CONF(81,char *,TECH_EMAIL,DEFAULT_EMAIL,"TECH_EMAIL",CHAR|SAVE)
CONF(82,char *,MAILHOST,"","MAILHOST",CHAR)     // default=localhost
CONF(83,char *,SMTP_SERVER,"","SMTP_SERVER",CHAR)
CONF(84,int,MAIL_EXPIRE,30,"MAIL_EXPIRE",INT)   // #days for +mail to expire
CONF(85,int,MAILBOX_SIZE,100,"MAILBOX_SIZE",INT|LBRK)  // Max #msgs in +mailbox

/* storyline game defaults */
CONF(90,dbref,PLAYER_START,0,"PLAYER_START",DBREF)
CONF(91,dbref,GUEST_START,0,"GUEST_START",DBREF)
CONF(92,dbref,GAME_DRIVER,0,"GAME_DRIVER",DBREF)
CONF(93,dbref,DUNGEON_CELL,0,"DUNGEON_CELL",DBREF)
CONF(94,char *,GUEST_PREFIX,"Guest","GUEST_PREFIX",CHAR|LBRK)

/* money settings */
CONF(95,int,START_BONUS,150,"START_BONUS",INT)
CONF(96,int,ALLOWANCE,50,"ALLOWANCE",INT)
CONF(97,char *,MONEY_SINGULAR,"Gold Piece","MONEY_SINGULAR",CHAR)
CONF(98,char *,MONEY_PLURAL,"Gold Pieces","MONEY_PLURAL",CHAR|LBRK)

/* namelist of ppl to log */
CONF(99,char *,PLAYERLOG,"","PLAYERLOG",CHAR|WIZ|LBRK)

/* combat system */
CONF(100,int,COMBAT,0,"COMBAT",INT)             // 1=enable combat system
CONF(101,int,ENCOUNTERS,1,"ENCOUNTERS",INT)     // 1=random encounters on
CONF(102,int,EXP_SYSTEM,0,"EXP_SYSTEM",INT)

// Experience system: 0 = Experience points counted on a continuous increase
//                    1 = Exp drops to zero after each automatic levelup
//                    2 = Allows @levelup command; buy levels with Exp

CONF(103,int,TREASURE_SYSTEM,0,"TREASURE_SYSTEM",INT|LBRK)

// Treasure system: 0 = Monsters drop treasure chests after battle
//                  1 = Monsters drop items after battle
// (Room_Nest Flag) 2 = Monsters automatically give items to the victor

/* monster reproduction */
CONF(110,int,SURPRISE_RATE,10,"SURPRISE_RATE",INT)  // enemy taken off guard
CONF(111,int,AMBUSH_RATE,12,"AMBUSH_RATE",INT)  // enemy surprises player
CONF(112,int,ENCOUNTER_TIME,7,"ENCOUNTER_TIME",INT)  // #mins no monster arrive
CONF(113,int,TRACKING_TIME,15,"TRACKING_TIME",INT)   // #mins roominfo saved
CONF(114,int,RESURRECT_LOOP,15,"RESURRECT_LOOP",INT) // #mins loop reset guards
CONF(115,int,WANDER_LOOP,3,"WANDER_LOOP",INT|LBRK)   // #mins loop enemies run

/* item database values */
CONF(130,int,TREASURE_PARENT,0,"TREASURE_PARENT",DBREF)   // DB# T.Chest Parent
CONF(131,int,RARE_ITEM_OFFSET,300,"RARE_ITEM_OFFSET",INT) // 1 in 65,536 Chance
CONF(132,int,RARE_ITEM_RANGE,12,"RARE_ITEM_RANGE",INT|LBRK) // Rare Items Range

/* item database shadow locations (set to 0 to disable) */
CONF(140,int,PLANT_DB_SHADOW,8000,"PLANT_DB_SHADOW",INT)      // Size 250
CONF(141,int,MINERAL_DB_SHADOW,8250,"MINERAL_DB_SHADOW",INT)  // Size 150
CONF(142,int,FISH_DB_SHADOW,8400,"FISH_DB_SHADOW",INT|LBRK)   // Size 32

/* definitions local to this mare only */

/* weather configuration settings */
CONF(200,long,BEGINTIME,0L,"BEGINTIME",LONG)	// MARE Start Date
CONF(201,int,FIRST_YEAR,1,"FIRST_YEAR",INT)	// Game Time, First Year #
CONF(202,int,HOURS_PER_DAY,24,"HOURS_PER_DAY",INT)
CONF(203,int,MOON,2551392,"MOON",INT|LBRK)	// #seconds full revolution

/* current weather data */
CONF(210,int,TIMEOFDAY,0,"TIMEOFDAY",INT)	// 0=night, 1=day
CONF(211,int,WEATHER,0,"WEATHER",INT)		// Current weather, 0 to 31
CONF(212,int,PREDICT,0,"PREDICT",INT)		// Prediction, 0 to 31
CONF(213,int,ALTTEMP,0,"ALTTEMP",INT)		// Alternating Temperature
CONF(214,int,DEWPOINT,0,"DEWPOINT",INT)		// Dewpoint * 1000
CONF(215,int,WINDDIR,0,"WINDDIR",INT)		// 0 to 15, 0 = North
CONF(216,int,WINDSPEED,0,"WINDSPEED",INT)	// Miles per hour
CONF(217,int,PRECIP,0,"PRECIP",INT)		// 10,000ths of an inch
CONF(218,int,PRESSURE,0,"PRESSURE",INT|LBRK)	// Barometric pressure drop

/* weather records */
CONF(220,int,RECORDHIGH,0,"RECORDHIGH",INT)	// Record High Temp.
CONF(221,long,DATEHIGH,0,"DATEHIGH",LONG)
CONF(222,int,RECORDLOW,0,"RECORDLOW",INT)	// Record Low Temp.
CONF(223,long,DATELOW,0,"DATELOW",LONG)
CONF(224,int,RECORDWIND,0,"RECORDWIND",INT)	// Record Windspeed
CONF(225,long,DATEWIND,0,"DATEWIND",LONG)
CONF(226,int,RECORDRAIN,0,"RECORDRAIN",INT)	// Record Rainfall/month
CONF(227,long,DATERAIN,0,"DATERAIN",LONG)
