/* hdrs/externs.h */

#include <stdlib.h>
#include <sys/types.h>
#include <fcntl.h>
#include <ctype.h>
#include <sys/time.h>
#include <sys/socket.h>
#include <unistd.h>
#include <sys/stat.h>
#include <stdio.h>
#include <signal.h>
#include <string.h>
#include <netdb.h>
#include <netinet/in.h>
#include <arpa/inet.h>

#include "main.h"

typedef int dbref;

#undef quad
#define quad long long

extern char *mud_copyright;
extern char *mud_compile_date;
extern char *mud_version;
extern char system_info[64];
extern char system_version[64];

extern int tinyport;

#ifdef NULL
# undef NULL
#endif
#define NULL 0

#undef TIMEOFDAY

#define CONF(a,b,c,d,e,f) extern b c;
#include "config.h"
#undef CONF

#ifndef SIGCLD
# define SIGCLD SIGCHLD
#endif
#ifndef SIGFPE
# define SIGFPE SIGEMT
#endif

#ifdef _SUN_4
# define realloc(ptr, size) ({ void *mem=ptr; \
                               if(!mem) mem=malloc(size); \
                               else mem=realloc(mem, size); mem; })
#endif

#if !(__GLIBC__ >= 2 && __GLIBC_MINOR__ >= 1)
# define atoll(x) atol(x)
#endif

#ifdef __linux__
  extern char *strsignal(int);
  extern char *strerror(int);
#elif defined(__FreeBSD__)
# define strsignal(x) sys_siglist[x]
#elif defined(__osf__)
# define strsignal(x) __sys_siglist[x]
#endif

#undef isspace(c)
#undef toupper(x)
#undef tolower(x)

#define isspace(c) ({ char ch=c; (ch == ' ' || ch == '\t'); })
#define toupper(x) ({ char y=x; (y < 'a' || y > 'z')?y:y-32; })
#define tolower(x) ({ char y=x; (y < 'A' || y > 'Z')?y:y+32; })

#define perror(x) (lperror(__FILE__,__LINE__,x))

extern char global_buff[16384];
#define tprintf(format, args...) (sprintf(global_buff, format , ## args), \
				  (char *)global_buff)

/* database structures and all other local definitions */
#include "net.h"
#include "log.h"
#include "powers.h"
#include "queue.h"
#include "match.h"

#include "world.h"
#include "db.h"

/* external declarations */
#include "defs.h"
